# CONFIG prototype for configuration of defaults.mk.
# Names without underscores are figured out automatically by ./configure.

# --- TYPE of MACHINE ---
_HOME_MACHINE_=CONFIG
_MACHINE_=CONFIG

# --- TOP-LEVEL FWEB SOURCE DIRECTORY ---
unset srcdir

# --- COMPILING ---
unset CC

_COMPILER_=GCC

unset DEFS  
_LOCAL_DEFS_='-DMV=\\\"$(MV)\\\"'

_COMPILE_='$(CC) -c $(CFLAGS) $(DEFS)'

# --- LINKING ---
_O_=o
_OBJ_='.$(O)'
_TERMCAP0_='termcap0.$(O)'
_LDFLAGS_='-g'
_LIBS_='-lm'
_HWEB_=hweb

_LINK_='$(CC) $(LDFLAGS) -o $(@)'

# --- COMMAND NAMES ---
_MAKE_=make
_MV_=mv
_RM_=rm
_TOUCH_=touch

# --- MISCELLANEOUS ---
_PRINT_DVI_='$(ECHO) lpr -d'

# --- SPLITTING LARGE SOURCES INTO SEVERAL PARTS ---
_PART1_=
_PART2_=
_PART3_=

_FTANGLE2_=
_FTANGLE3_=

_FWEAVE2_=
_FWEAVE3_=

_RESERVED2_=

# --- INSTALLATION ---
unset INSTALL
unset INSTALL_PROGRAM
unset INSTALL_DATA

